﻿@model QuestionViewModel
@{
    ViewBag.Title = "Create question";
    Layout = "_Layout";
}

<div class="container">
    <div class="row">
        <div class="col-9">
            <div id="questionsContainer">
                <h2 class="text-center">Vragen</h2>
                <form id="questionForm" asp-action="Add" asp-controller="Question">
                    <div class="form-group">
                        <label asp-for="SubthemaId">Subthema:</label>
                        <select id="SubthemaId" asp-for="SubthemaId" class="form-control" asp-items="Model.Subthema" required>
                            <option value="">-- Select Subthema --</option>
                        </select>
                        <span asp-validation-for="SubthemaId" class="text-danger"></span>
                    </div></form>
                    <br/>
                    <div class="form-group">
                        <select id="questionType" name="Type" class="form-control">
                            <option value="">Kies een vraagtype</option>
                            <option value="0">Multiple choice</option>
                            <option value="1">Range</option>
                            <option value="2">Open vraag</option>
                            <option value="3">Single choice</option>
                        </select>
                    </div><br>
                    <div id="questionFields" style="display:none;">

                    </div>
                    <div class="row">
                        <div class="col">
                            <button type="button" id="addOptionButton" style="display:none;" class="btn btn-primary">+ Antwoord</button>
                            <button type="button" id="addQuestionButton" style="display:none;" class="btn btn-primary">+ Vraag</button>
                        </div>
                        <div class="col">
                            <button type="button" id="removeOptionButton" style="display:none;" class="btn btn-primary">- Antwoord</button>
                            <button type="submit" id="finishButton" style="display:none;" class="btn btn-primary">Klaar</button>
                        </div>
                    </div>
            </div>
        </div>
        <div class="col-2">
            <div id="questionInfo">
                <h5>Gestelde vragen</h5>
                <ul id="questionList"></ul>
                <p id="questionCount"># vragen: 0</p>
            </div>
        </div>
    </div>

</div>

@section Scripts
{
    <script src="~/js/creatingQuestions.js" defer></script>
}